Subject: GERBERA Species

From: [email-masked] (Pierre le Roux)
Date: Sun, 09 Jun 1996 11:48:34 GMT

I'd like to buy/exchange seeds of Gerbera species, or source seed of
other Compositae  (Asia/African) that can be hybridized to Gerbera.
Three species occur in our area, and I'd like to correspond with
people interested in these.